package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.dialect.mysql.ast.clause.MySqlTableTableSource;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MySqLCacheIndexStatement extends MySqlStatementImpl {
   private SQLExpr keyCacheName;
   private List<MySqlTableTableSource> tables = new ArrayList();

   public List<MySqlTableTableSource> getTables() {
      return this.tables;
   }

   public void setTables(List<MySqlTableTableSource> tables) {
      this.tables = tables;
   }

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.tables);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getKeyCacheName() {
      return this.keyCacheName;
   }

   public void setKeyCacheName(SQLExpr keyCacheName) {
      this.keyCacheName = keyCacheName;
   }
}
